#ifndef ENCODER_CONTROL_H
#define ENCODER_CONTROL_H

/*!
  \file
  \brief エンコーダ制御

  \author Satofumi KAMIMURA

  $Id: encoder_handler.h 1209 2009-08-05 13:11:59Z satofumi $
*/

#include "encoder_t.h"


extern void encoder_initialize(int id, encoder_t *encoder);
extern void encoder_reset(encoder_t *encoder);
extern void encoder_update(encoder_t *encoder);
extern short encoder_difference(const encoder_t *encoder);
extern void encoder_count(int id);

#endif /* !ENCODER_CONTROL_H */
